VMEM_XFREE(9)

NAME
vmem_xfree - free resource to arena

SYNOPSIS
#include <sys/vmem.h>
void
vmem_xfree(vmem_t *vm, vmem_addr_t addr, vmem_size_t size);

DESCRIPTION
vmem_xfree() frees resource allocated by vmem_xalloc to the arena.

vm  The arena which we free to.

addr
    The resource being freed. It must be the one returned by vmem_xalloc(). Notably, it must not be the one from vmem_alloc(). Otherwise, the behaviour is undefined.

size
    The size of the resource being freed. It must be the same as the size argument used for vmem_xalloc().

SEE ALSO
intro(9), vmem(9)